> For the complete documentation index, see [llms.txt](https://docs.ushahidi.com/v3-ushahidi-platform-rest-api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ushahidi.com/v3-ushahidi-platform-rest-api-documentation/v3/migration.md).

# Migration

{% openapi src="/files/DFxnj85ZsASPYXzkPAko" path="/api/v3/migration" method="get" %}
[UshahidiV3.json](https://content.gitbook.com/content/tXIYKGMTeHub5C8O9fER/blobs/TC8KXqdBoVrA1ZGmo9Kk/UshahidiV3.json)
{% endopenapi %}

{% openapi src="/files/DFxnj85ZsASPYXzkPAko" path="/api/v3/migration/status" method="get" %}
[UshahidiV3.json](https://content.gitbook.com/content/tXIYKGMTeHub5C8O9fER/blobs/TC8KXqdBoVrA1ZGmo9Kk/UshahidiV3.json)
{% endopenapi %}

## migration rollback

<mark style="color:green;">`POST`</mark> `https://ushahididocs.api.ushahidi.io/api/v3/migration/rollback`

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "results": [
        "Phinx by Rob Morgan - https://phinx.org. 0.8.1\r",
        "\r",
        "using config file .C:\\xampp\\htdocs\\platform\\phinx.php\r",
        "using config parser php\r",
        "using migration paths \r",
        " - C:\\xampp\\htdocs\\platform\\migrations\r",
        "using seed paths \r",
        " - C:\\xampp\\htdocs\\platform\\seeds\r",
        "using environment ushahidi\r",
        "using adapter mysql\r",
        "using database platform_3\r",
        "ordering by creation time\r",
        "\r",
        " == 20211215110945 AddMetadataToPostDatetimeTable: reverting\r",
        " == 20211215110945 AddMetadataToPostDatetimeTable: reverted 0.0785s\r",
        "\r",
        "All Done. Took 0.0994s\r"
    ]
}
```

{% endtab %}
{% endtabs %}

{% openapi src="/files/DFxnj85ZsASPYXzkPAko" path="/api/v3/migration/migrate" method="post" %}
[UshahidiV3.json](https://content.gitbook.com/content/tXIYKGMTeHub5C8O9fER/blobs/TC8KXqdBoVrA1ZGmo9Kk/UshahidiV3.json)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ushahidi.com/v3-ushahidi-platform-rest-api-documentation/v3/migration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
